import request from '@/utils/request'

// 新增分类特殊属性
export function add(data) {
  return request({
    url: `/system/special/add`,
    method: 'post',
    data: data
  })
}
// 通过分类编码查询特殊属性信息
export function getDetail(code) {
  return request({
    url: `/system/special/detail/${code}`,
    method: 'get',
  })
}
// 删除分类特殊属性
export function delSpecial(data) {
  return request({
    url: `/system/special/delete`,
    method: 'post',
    data: data
  })
}
// 修改分类特殊属性
export function editSpecial(data) {
  return request({
    url: `/system/special/edit`,
    method: 'post',
    data: data
  })
}